## GVirNetworkFilter

GVirNetworkFilter

## Functions

const gchar * | gvir_network_filter_get_name ()
const gchar * | gvir_network_filter_get_uuid ()
GVirConfigNetworkFilter * | gvir_network_filter_get_config ()

## Properties

GVirNetworkFilterHandle * | handle | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GVirNetworkFilter

## Description

## Functions

### gvir_network_filter_get_name ()

    const gchar *
    gvir_network_filter_get_name (GVirNetworkFilter *filter);

### gvir_network_filter_get_uuid ()

    const gchar *
    gvir_network_filter_get_uuid (GVirNetworkFilter *filter);

### gvir_network_filter_get_config ()

    GVirConfigNetworkFilter *
    gvir_network_filter_get_config (GVirNetworkFilter *filter,
                                    guint flags,
                                    GError **err);

#### Parameters

filter | the network_filter |
flags | the flags |
err | Place-holder for possible errors |

#### Returns

the config. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

## Property Details

### The `“handle”` property

      “handle”                   GVirNetworkFilterHandle *

The network_filter handle.

Owner: GVirNetworkFilter

Flags: Read / Write / Construct Only